<template>
  <!-- 备品件添加 -->
  <div>
    <el-dialog :title="title + '班种信息'" :visible.sync="showFormDia" width="55%" :before-close="handleClose"
      custom-class="bbsl-location-dialog" top="8vh">
      <div class="bbsl-scroll-pane">
        <el-form ref="formInfo" class="bbsl-scroll-form-spare" :rules="rules" :model="params" label-width="120px">
          <p id="step1" class="from-title">
            <i class="el-icon-info" />
            <span>基本信息</span>
          </p>
          <el-row>
            <el-col :span="8">
              <el-form-item label="班种名称：" prop="name">
                <el-input v-model="params.name" maxlength="30" placeholder="请输入班种名称" />
              </el-form-item>
            </el-col>
            <el-col :span="8">
              <el-form-item label="班种别名：" prop="alias">
                <el-input v-model="params.alias" maxlength="30" placeholder="请输入班种别名" />
              </el-form-item>
            </el-col>
            <el-col :span="8">
              <el-form-item label="归属部门：" prop="orgName">
                <el-input v-model="params.orgName" :disabled="true" />
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="8">
              <el-form-item label="上班时间：" prop="scheduleStart">
                <el-time-picker v-model="params.scheduleStart" placeholder="请选择上班时间" format="HH:mm" style="width:80%"
                  value-format="HH:mm" />
              </el-form-item>
            </el-col>

            <el-col :span="8">
              <el-form-item label="下班时间：" prop="duringTime">
                <el-time-picker v-model="params.duringTime" placeholder="请选择时间" format="HH:mm" style="width:80%"
                  value-format="HH:mm" />
                {{ (params.scheduleStart > params.duringTime ? '次日' : '') }}
              </el-form-item>
            </el-col>
            <el-col :span="8">
              <el-form-item label="排序号：" prop="sn">
                <el-input-number v-model="params.sn" controls-position="right" :max="99999" style="width:100%"
                  placeholder="请输入排序顺序号" />
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="8">
              <el-form-item label="休息开始时间：" prop="restStart">
                <el-time-picker v-model="params.restStart" placeholder="请选择休息开始时间" format="HH:mm" style="width:80%"
                  value-format="HH:mm" />
              </el-form-item>
            </el-col>
            <el-col :span="8">
              <el-form-item label="休息结束时间：" prop="restEnd">
                <el-time-picker v-model="params.restEnd" placeholder="请选择休息结束时间" format="HH:mm" style="width:80%"
                  value-format="HH:mm" />
                {{ (params.restStart > params.restEnd ? '次日' : '') }}
              </el-form-item>
            </el-col>
          </el-row>

          <!-- <el-row>
			<el-col :span="8">
			    <el-form-item label="该班后休息(h)：" prop="afterRest">
			  		<el-input
			  		  type="number"
			  		  placeholder="请输入该班后休息时间"
			  		  v-model="params.afterRest"
			  		></el-input>
			    </el-form-item>
			</el-col>
		    <el-col :span="8">
		      <el-form-item label="此班频率要求(天)：" prop="diffDays">
		        <el-input
		          type="number"
		          placeholder="请输入此班频率要求"
		          v-model="params.diffDays"
		        ></el-input>
		      </el-form-item>
		    </el-col>
		    <el-col :span="8">
		      <el-form-item label="该班人员是否可缺省：" prop="numberMust">
		        <el-radio v-model="params.numberMust" label="是">是</el-radio>
		        <el-radio v-model="params.numberMust" label="否">否</el-radio>
		      </el-form-item>
		    </el-col>
		  </el-row> -->
          <!-- <el-row>
			  <el-col :span="12">
			  	<el-form-item label="当前状态(仅“正常”会被排班)：" prop="status">
			  		<el-radio v-model="params.status" label="0">正常</el-radio>
			  		<el-radio v-model="params.status" label="1">禁用</el-radio>
			  		<el-radio v-model="params.status" label="2">删除</el-radio>
			  	</el-form-item>
			  </el-col>
		  </el-row> -->
          <!-- <el-row>
		    <el-col>
		      <el-form-item label="星期分布（勾选需排人，否则不排）：" prop="weeks">
		        <el-checkbox-group v-model="weeks" @change="weekChange">
		            <el-checkbox label="一">星期一</el-checkbox>
		            <el-checkbox label="二">星期二</el-checkbox>
		            <el-checkbox label="三">星期三</el-checkbox>
		            <el-checkbox label="四">星期四</el-checkbox>
		            <el-checkbox label="五">星期五</el-checkbox>
					<el-checkbox label="六">星期六</el-checkbox>
					<el-checkbox label="日">星期日</el-checkbox>
		          </el-checkbox-group>
		      </el-form-item>
		    </el-col>
		  </el-row> -->
          <el-row>
            <el-col :span="24">
              <el-form-item label="显示颜色：" prop="showColor">
                <el-radio v-model="params.showColor" label="#800080">
                  <b class="radio_b" style="background-color:#800080;">颜色1</b>
                </el-radio>
                <el-radio v-model="params.showColor" label="#696969">
                  <b class="radio_b" style="background-color:#696969;">颜色2</b>
                </el-radio>
                <el-radio v-model="params.showColor" label="#4c8dae">
                  <b class="radio_b" style="background-color:#4c8dae;">颜色3</b>
                </el-radio>
                <el-radio v-model="params.showColor" label="#4b5cc4">
                  <b class="radio_b" style="background-color:#4b5cc4;">颜色4</b>
                </el-radio>
                <el-radio v-model="params.showColor" label="#1685a9">
                  <b class="radio_b" style="background-color:#1685a9;">颜色5</b>
                </el-radio>
                <el-radio v-model="params.showColor" label="#26693d">
                  <b class="radio_b" style="background-color:#26693d;">颜色6</b>
                </el-radio>
                <el-radio v-model="params.showColor" label="#aa007f">
                  <b class="radio_b" style="background-color:#aa007f;">颜色7</b>
                </el-radio>
                <el-radio v-model="params.showColor" label="#ffaa00">
                  <b class="radio_b" style="background-color:#ffaa00;">颜色8</b>
                </el-radio>
                <el-radio v-model="params.showColor" label="#0000ff">
                  <b class="radio_b" style="background-color:#0000ff;">颜色9</b>
                </el-radio>
              </el-form-item>
            </el-col>

          </el-row>
          <el-row>
            <el-col :span="24">
              <el-form-item label="备注" prop="memo">
                <el-input v-model="params.memo" type="textarea" maxlength="500" show-word-limit
                  :autosize="{ minRows: 3, maxRows: 4 }" placeholder="请输入备注内容" />
              </el-form-item>
            </el-col>
          </el-row>
        </el-form>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary" @click="handleSave">保 存</el-button>
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>
import WorkclassManage from '@/api/manager/duty/workclassManage.js'
import dictContracts from '@/components/dict/DictSelectUtils.js'

export default {
  name: 'WorkclassManageDialog',
  components: {},
  props: {},
  data() {
    return {
      title: '新增',
      showFormDia: false,
      weeks: [],
      selectWeeks: [],
      params: {
        name: '',
        memo: '',
        id: null,
        scheduleStart: '',
        duringTime: '',
        afterRest: '',
        diffDays: '',
        numberMust: '',
        weeks: '',
        status: '',
        showColor: '',
        pkVal: '',
        sn: 0,
        version: 0,
        orgId: '',
        orgName: '',
        restStart: '',
        restEnd: ''
      },
      rules: {
        name: [
          {
            required: true,
            message: '请输入班种名称',
            trigger: 'blur'
          }
        ],
        scheduleStart: [
          {
            required: true,
            message: '请选择上班时间',
            trigger: 'blur'
          }
        ],
        duringTime: [
          {
            required: true,
            message: '请选择下班时间',
            trigger: 'blur'
          }
        ],
        restStart: [
          {
            required: true,
            message: '请选择休息开始时间',
            trigger: 'blur'
          }
        ],
        restEnd: [
          {
            required: true,
            message: '请选择休息结束时间',
            trigger: 'blur'
          }
        ]
      }
    }
  },
  created() {
  },
  methods: {
    add(orgId, orgName) {
      this.params.orgId = orgId
      this.params.orgName = orgName
      this.showFormDia = true
    },
    handleClose() {
      this.params = {
        name: '',
        memo: '',
        scheduleStart: '',
        duringTime: '',
        afterRest: '',
        diffDays: '',
        numberMust: '',
        weeks: '',
        status: '',
        showColor: '',
        orgId: '',
        orgName: '',
        alias: '',
        sn: 0,
        restStart: '',
        restEnd: ''
      }
      this.title = '新增'
      this.showFormDia = false
      // this.weeks=[]
    },
    handleSave() {
      this.$refs.formInfo.validate(valid => {
        if (valid) {
          let method
          if (!this.params.id) {
            // 新增
            method = WorkclassManage.addWorkclass
          }
          if (this.params.id) {
            // 修改
            method = WorkclassManage.editWorkclass
          }
          // this.params.weeks = this.weeks.join(",")
          method(this.params, res => {
            if (res.state) {
              this.$notify({
                type: 'success',
                message: this.title + '成功',
                duration: 2000
              })
              // this.$emit('loadData')
              this.weeks = []
              this.$parent.loadData()
              this.handleClose()
            } else {
              // this.$message.warning(res.message)
            }
          })
        }
      })
    },
    Update(row) {
      console.log(row.restStart, row.restEnd)
      this.title = '修改'
      this.showFormDia = true
      this.params.memo = row.memo
      this.params.name = row.name
      this.params.scheduleStart = row.scheduleStart
      this.params.id = row.id
      this.params.purchaseDate = row.purchaseDate
      this.params.duringTime = row.duringTime
      this.params.afterRest = row.afterRest
      this.params.diffDays = row.diffDays
      this.params.numberMust = row.numberMust
      // this.params.weeks = row.weeks
      this.params.sn = row.sn
      this.params.status = row.status
      this.params.showColor = row.showColor
      this.params.orgId = row.orgId
      this.params.orgName = row.orgName
      this.params.alias = row.alias
      this.params.restStart = row.restStart || ''
      this.params.restEnd = row.restEnd || ''
      console.log(this.params)
    },
    weekChange(obj) {

    }
  }
}
</script>
<style lang="scss" scoped>
.radio_b {
  color: transparent;
  border-radius: 2px;
}

.redBull {
  border: 1px solid red;
}

.bbsl-scroll-form-spare {
  width: calc(100% - 20px);
  // height: calc(95vh - 500px);
  // overflow-y: auto;
  padding: 0 10px;
}

.el-checkbox-group {
  height: -0.0vw !important;
}
</style>
